## Examples

This folder provides easy to understand code snippets on how to get started with web development with the Go programming language using the  [Iris](https://github.com/kataras/iris) web framework.


It doesn't contains "best ways" neither explains all its features. It's just a simple, practical cookbook for young Go developers!

Developers should read the official [documentation](https://godoc.org/gopkg.in/kataras/iris.v6) in depth.


<a href ="https://github.com/kataras/iris"> <img src="http://iris-go.com/assets/book/cover_4.jpg" width="300" /> </a>


## Table of Contents

* [Hello World](examples/hello-world/main.go)
* [Routes (using httprouter)](examples/routes-using-httprouter/main.go)
* [Routes (using gorillamux)](examples/routes-using-gorillamux/main.go)
* [Templates](examples/templates/main.go)
* [Forms](examples/forms/main.go)
* [JSON](examples/json/main.go)
* [Upload Files](examples/upload-files/main.go)
* [Static Files](examples/static-files/main.go)
* [Favicon](examples/favicon/main.go)
* [Password Hashing](examples/password-hashing/main.go)
* [Sessions](examples/sessions/main.go)
* [Websockets](examples/websockets/main.go)
* [Markdown and Cache](examples/cache-markdown/main.go)
* [Online Visitors](examples/online-visitors/main.go)
* [URL Shortener using BoltDB](examples/url-shortener/main.go)


> Take look at the [community examples](https://github.com/iris-contrib/examples) too!